Update user-friendly server settings(Alpha)

PUT {{baseUrl}}/api/v2/iserver/settings

This resource will retire resource 'PUT iserver/settings' in the future version. Current version just cover Governing rule settings. You obtain the authorization token needed to execute the request using POST /auth/login; you pass the authorization token in the request header.

Request Params

KeyDatatypeRequiredDescription
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

Request Body

{"maxUsedVirtualByte"=>{"value"=>99}, "importSAPUser"=>{"value"=>false}, "maxInboxMsgLifeTime"=>{"value"=>1}, "hashIterations"=>{"value"=>10000}, "tokenTTL"=>{"value"=>1440}, "loadBalanceMode"=>{"value"=>false}, "maxLoginAttempt"=>{"value"=>10}, "maxUserConnectionIdleTime"=>{"value"=>7200}, "syncGroupWithSAPRoles"=>{"value"=>false}, "maxInteractiveJobsPerServer"=>{"value"=>-1}, "pastPasswordRemembered"=>{"value"=>1}, "enableTokenAsymmetricEncryption"=>{"value"=>false}, "pdfMaxMemoryConsumption"=>{"value"=>536870912}, "showBaseViewInLibrary"=>{"value"=>false}, "enableHtmlContentInDossier"=>{"value"=>true}, "userAffinityFlag"=>{"value"=>false}, "restrictUncertifiedScriptExecution"=>{"value"=>true}, "enableBackgroundDiExecution"=>{"value"=>false}, "minLowerCasePasswordChars"=>{"value"=>0}, "statsLogging2ProjectGUID"=>{"value"=>"00000000000000000000000000000000"}, "sessionRecoveryPath"=>{"value"=>"/opt/mstr/MicroStrategy/IntelligenceServer/Caches/"}, "memoryRequestIdleTime"=>{"value"=>300}, "serverSchedulerFlag"=>{"value"=>true}, "synchUserAtLogon"=>{"value"=>true}, "memoryReservePercentage"=>{"value"=>-1}, "minCharsPasswordChanges"=>{"value"=>0}, "hLAutoDeleteTimestamp"=>{"value"=>2097152}, "catalogMaxMemoryConsumption"=>{"value"=>0}, "includeLDAPUsersForAuditoringFlag"=>{"value"=>false}, "cacheCleanUpFrequency"=>{"value"=>-1}, "networkThreads"=>{"value"=>5}, "xmlMaxMemoryConsumption"=>{"value"=>536870912}, "minFreeMemory"=>{"value"=>0}, "defaultLicenseComplianceCheckTime"=>{"value"=>"23:59:00"}, "allowUserLoginWithFullName"=>{"value"=>true}, "mediumPriorityConns"=>{"value"=>1}, "minPasswordLength"=>{"value"=>0}, "userAffinityLoadBalancingFlag"=>{"value"=>false}, "workSetMaxMemoryConsumption"=>{"value"=>2147483648}, "backupPeriodicity"=>{"value"=>0}, "htmlMaxMemoryConsumption"=>{"value"=>536870912}, "historyListDatabase"=>{"value"=>"BE68D76D419AA5149895879B6C42D8F9"}, "minUpperCasePasswordChars"=>{"value"=>0}, "enableReportCacheBackup"=>{"value"=>false}, "importUserAtLogon"=>{"value"=>true}, "statsLogging2AllProjects"=>{"value"=>true}, "workSetSwapPath"=>{"value"=>".\\TmpPool"}, "ignoreGovernorOnChild"=>{"value"=>false}, "enableAutoSessionRecovery"=>{"value"=>false}, "maxJobsPerServer"=>{"value"=>1000}, "maxUserConnectionPerServer"=>{"value"=>999996}, "maxInboxMsgCountPerUser"=>{"value"=>500}, "smartMemoryUsage4IntelligenceServer"=>{"value"=>0}, "minSpecialPasswordChars"=>{"value"=>0}, "minNumericPasswordChars"=>{"value"=>0}, "serverMSIPerformanceMonitoringFlag"=>{"value"=>true}, "maxXmlNodes"=>{"value"=>500000}, "hLRepositoryType"=>{"value"=>1}, "extendedSessionIdleTime"=>{"value"=>7200}, "allowRotatingCharFromLastPassword"=>{"value"=>true}, "importSAPGroups"=>{"value"=>false}, "memoryReserve"=>{"value"=>0}, "allowLoginIfNotLinked"=>{"value"=>true}, "maxSchedulerConnectionIdleTime"=>{"value"=>300}, "excelMaxMemoryConsumption"=>{"value"=>536870912}, "historyDirectoryPath"=>{"value"=>".\\Inbox\\cloud_10s"}, "maxXmlDrillPaths"=>{"value"=>100}, "highPriorityConns"=>{"value"=>1}, "lowPriorityConns"=>{"value"=>20}, "sessionRecoveryExpirationTime"=>{"value"=>168}, "maxWebConnectionIdleTime"=>{"value"=>7200}, "autoUpdateCredentials"=>{"value"=>1}, "hLAutoDeleteMsgCount"=>{"value"=>-1}, "maxContractLimitPercentage"=>{"value"=>-1}, "maxUsedPrivateByte"=>{"value"=>97}, "hybridCentralInboxFilePath"=>{"value"=>"\\opt\\mstr\\MicroStrategy\\IntelligenceServer\\Inbox\\cloud_10s\\"}, "urlWhitelist"=>{"value"=>"./images/;http://*.arcgis.com/*;http://*.arcgisonline.com/*;http://maps.google.com/*;http://*.gstatic.com/*;http://*.googleapis.com/*;https://*.arcgis.com/*;https://*.arcgisonline.com/*;https://maps-api-ssl.google.com/*;https://*.gstatic.com/*;https://*.googleapis.com/*;https://*.mapbox.com/*;http://d3js.org/*;https://d3js.org/*;http://www.google.com/jsapi;https://www.google.com/jsapi;https://www.google.com/uds/*;https://www.surveymonkey.com/*;https://www.surveygizmo.com/*"}, "maxContractLimit"=>{"value"=>-1}, "hLAutoDeleteErrorMsgFirst"=>{"value"=>true}, "virtualByteLimitPercent"=>{"value"=>90}}

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token
Content-Typestring

RESPONSES

status: OK

"The response is too large. Please view the response at https://github.com/MicroStrategy/rest-api-playground/blob/main/sample-responses/System-Administration/get-server-settings-config-information-v2/200-OK.json."